ANABOX smart
API ReferenceDevicesLedlightDeviceid

Set LED light on device

Turn the device LED on or off, or set its color/brightness.

POST
/devices/ledlight/{deviceId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

deviceIdstring

Device ObjectId

led
timeoutinteger

Response Body

application/json

curl -X POST "https://api.memo.wirewire.de/v1/devices/ledlight/682fd0d7d4a6325d9d45b86d" \  -H "Content-Type: application/json" \  -d '{    "led": [      [        0,        0      ],      [        1,        0      ],      [        2,        0      ],      [        3,        0      ],      [        4,        0      ],      [        5,        0      ],      [        6,        0      ],      [        7,        0      ],      [        8,        0      ],      [        9,        0      ],      [        10,        0      ],      [        11,        0      ],      [        12,        0      ],      [        13,        0      ],      [        14,        0      ],      [        15,        100      ],      [        16,        100      ],      [        17,        100      ],      [        18,        100      ],      [        19,        100      ],      [        20,        100      ],      [        21,        100      ],      [        22,        0      ],      [        23,        0      ],      [        24,        0      ],      [        25,        0      ],      [        26,        0      ],      [        27,        0      ],      [        28,        0      ]    ],    "timeout": 40  }'
{
  "message": "string",
  "property1": null,
  "property2": null
}